HSCTRL(4)

NAME
hsctrl - HID system controls driver

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device hsctrl
device hid
device hidbus
device hidmap
device evdev

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    hsctrl_load="YES"

DESCRIPTION
The hsctrl driver provides support for HID system controls most often used as "Power off/Sleep keys" found on many keyboards.

The /dev/input/event* device presents the consumer page controls as a evdev type device.

SYSCTL VARIABLES
The following variable is available as both sysctl(8) variable and loader(8) tunable:

dev.hsctrl.X.debug
    Debug output level, where 0 is debugging disabled and larger values increase debug message verbosity. Default is 0.

It default value is set with loader(8) tunable:

hw.hid.hsctrl.debug

FILES
/dev/input/event*
    input event device node.

SEE ALSO
iichid(4), usbhid(4)

HISTORY
The hsctrl driver first appeared in FreeBSD 13.0.

AUTHORS
-nosplit The hsctrl driver was written by Vladimir Kondratyev <wulf@FreeBSD.org>.